%define plugindir %(xmms-config --general-plugin-dir 2>/dev/null)

Name:           xmms-alarm
Version:        0.3.7
Release:        11%{?dist}
Summary:        Plugin for using XMMS as an alarm clock

License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://www.snika.uklinux.net/?p=xmms-alarm
Source:         http://www.snika.uklinux.net/xmms-alarm/%{name}-%{version}.tar.bz2
Patch0:         %{name}-0.3.7-optflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xmms-devel
BuildRequires:  glib-devel >= 1:1.2.6
BuildRequires:  gtk+-devel >= 1:1.2.6
Requires:       xmms

%description
%{summary}.


%prep
%setup -q
%patch0 -p1
touch -r aclocal.m4 configure.ac


%build
%configure --disable-dependency-tracking
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{plugindir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{plugindir}/libalarm.so


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.3.7-8
- Fix license tag.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.7-7
- Autorebuild for GCC 4.3

* Mon Jan 01 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.7-6
- Rebuild (new owner)

* Wed Aug 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3.7-5
- Rebuild.

* Sat May 20 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3.7-4
- Honor $RPM_OPT_FLAGS.

* Thu Apr  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3.7-3
- Add dependency on the main xmms package.

* Tue Feb 14 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.3.7-2
- Rebuild, cosmetics.

* Sun Apr 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.3.7-1
- 0.3.7.
- Build with dependency tracking disabled.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon May  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.6-0.fdr.1
- Update to 0.3.6.

* Wed Mar 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.5-0.fdr.1
- Update to 0.3.5.

* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.4-0.fdr.1
- Update to 0.3.4.
- Spec cleanups.

* Sat Apr  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.3-0.fdr.2
- Address QA issues in #55: don't include *.la files, use buildroot macro.
- Save .spec UTF-8.

* Fri Mar 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.3-0.fdr.1
- Update to 0.3.3 and to current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.3.2-1.fedora.1
- First Fedora release.
